/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TInputStyle;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TInputStyleRecord extends UpdatableRecordImpl<TInputStyleRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_input_style.pk_input_style</code>.
     */
    public void setPkInputStyle(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_input_style.pk_input_style</code>.
     */
    public Integer getPkInputStyle() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.t_input_style.style_id</code>.
     */
    public void setStyleId(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_input_style.style_id</code>.
     */
    public Integer getStyleId() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_input_style.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_input_style.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TInputStyleRecord
     */
    public TInputStyleRecord() {
        super(TInputStyle.T_INPUT_STYLE);
    }

    /**
     * Create a detached, initialised TInputStyleRecord
     */
    public TInputStyleRecord(Integer pkInputStyle, Integer styleId, LocalDateTime lastchange) {
        super(TInputStyle.T_INPUT_STYLE);

        setPkInputStyle(pkInputStyle);
        setStyleId(styleId);
        setLastchange(lastchange);
        resetChangedOnNotNull();
    }
}
